Subject: Re: Problem with rsh
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 25 Oct 2002 16:06:55 -0700
Newsgroups: gmane.os.cygwin

Pierre A. Humblet wrote:

> On Fri, Oct 25, 2002 at 03:23:11PM -0700, Andrew DeFaria wrote:
>
>> David Rothenberger wrote:
>>
>>> Check your /etc/passwd file and make sure there is no entry in the
>>> password field (the second field). You want something like this:
>>>
>>> someuser::11150:...
>>>
>>> and not something like this:
>>>
>>> someuser:unused_by_nt/2000/xp:11150:...
>>>
>> Wham! Good answer! It works!
>
> Yes, but you have no security.

Security is not as much a concern behind our firewall.

> The cygwin mechanism that logs you in when the password is empty is 
> the same as with .rhosts, and different from the one when providing a 
> password. Thus it looks like your .rhosts isn't setup properly. Among 
> other things it should only be writable by you.

My .rhosts is:

$ ls -l ~/.rhosts
-rw-r--r--    1 adefaria Domain U     1637 Oct  4 12:21 
/home/adefaria/.rhosts

And consists of a list of hostnames in the local intranet followed by my 
user ID. As admin I should be able to rsh to any other machine. Still 
with this rsh fails with permission denied unless /etc/passwd's password 
field is blanked. That, in essense, was my problem.

Now if you can describe how I can set it up to be a little more secure 
I'd try to configure it but as it apparently stands the intended 
security (i.e. using a ~/.rhosts file) is not working correctly.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/